curl --request GET \
--url http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/attachments/{attachmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/attachments/{attachmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://investigations.{region}.alienvault.cloud/investigations/v3/investigations/{investigationId}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "<string>"
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"private": true,
"name": "<string>",
"size": 123,
"uri": "<string>",
"created": {
"by": "jsmith@example.com",
"on": "2023-11-07T05:31:56Z"
},
"lastModified": {
"by": "jsmith@example.com",
"on": "2023-11-07T05:31:56Z"
}
}{
"errorId": "<string>",
"message": "<string>",
"variables": [
"<string>"
],
"errorUrl": "<string>"
}Obtain an Attachment
Returns an attachment associated with an investigtion.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of an investigation.
The unique identifier of an attachment.
Response
OK
Returns an attachment.
Show child attributes
Show child attributes
Unique identifier of the resource.
Specifies the visibility of the item. This semantic is only valid when there exists a relationship between a USM Central deployment and a USM Anywhere deployment. When set to true, only the users within the same deployment, USM Central or USM Anywhere, can see the item; the users from the other deployment cannot.
Name of the file.
Size of the file in bytes.
Location of the file.
Specifies when the resource was created and by whom.
Show child attributes
Show child attributes
Specifies when the latest modification was made and by whom.
Show child attributes
Show child attributes